package main

import (
	"fmt"

	"opslag.de/schobers/geom"
	"opslag.de/schobers/krampus19/alui"
	"opslag.de/schobers/krampus19/gut"
)

type info struct {
	alui.ControlBase

	fps *gut.FPS
}

func (i *info) Render(ctx *alui.Context, bounds geom.RectangleF32) {
	ctx.Fonts.Draw("console", 4, 4, ctx.Palette.Text, fmt.Sprintf("FPS: %d", i.fps.Current()))
}
